## org.mortbay.http.handler
Class IPAccessHandler

    java.lang.Object
      |
      +--org.mortbay.http.handler.AbstractHttpHandler
            |
            +--org.mortbay.http.handler.IPAccessHandler

All Implemented Interfaces:
  HttpHandler, LifeCycle, java.io.Serializable

public class IPAccessHandler
extends AbstractHttpHandler

Handler to authenticate access from certain IP-addresses.
A server configuration-XML-file can look something like this:
<Configure class="org.mortbay.jetty.Server">
...
<Call name="addContext">
...
<Call name="addHandler">
<Arg>
<New class="IPAccessHandler">
<Set name="Standard">deny</Set>
<Set name="AllowIP">192.168.0.103</Set>
<Set name="AllowIP">192.168.0.100</Set>
</New>
</Arg>
</Call>
...
This would deny access for everyone except the requests from the IPs 192.168.0.100 and 192.168.0.103.

Version:
  v0.1 2002/03/20
Author:
  G�sta Jonasson gosta@kth.se
See Also:
  Serialized Form

Constructor Summary
`IPAccessHandler()` Constructor for the class

Method Summary
`boolean` `checkIP(java.lang.String ipstring)` Checks if the given ipstring (x.x.x.x) is authorized or not
`void` `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)` Handles the incoming request
`void` `setAllowIP(java.lang.String ipstring)` Allow the given ip-address access
`void` `setDenyIP(java.lang.String ipstring)` Deny the given ip-address access
`void` `setStandard(java.lang.String s)` Set the standard action beeing taken when not registred IPs wants access

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPAccessHandler

    public IPAccessHandler()

  Constructor for the class

Method Detail

### checkIP

    public boolean checkIP(java.lang.String ipstring)

  Checks if the given ipstring (x.x.x.x) is authorized or not

  Parameters:
    `ipstring` - The ip-address as a String
  Returns:
    True if the IP is allowed access, otherwise false.

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)
                throws HttpException,
                       java.io.IOException

  Handles the incoming request

  Parameters:
    `pathInContext` -
    `pathParams` -
    `request` - The incoming HTTP-request
    `response` - The outgoing HTTP-response
    `HttpException`
    `java.io.IOException`

### setAllowIP

    public void setAllowIP(java.lang.String ipstring)

  Allow the given ip-address access

  Parameters:
    `ipstring` - The ip-address as a String on the format "x.x.x.x"

### setDenyIP

    public void setDenyIP(java.lang.String ipstring)

  Deny the given ip-address access

  Parameters:
    `ipstring` - The ip-address as a String on the format "x.x.x.x"

### setStandard

    public void setStandard(java.lang.String s)

  Set the standard action beeing taken when not registred IPs wants access

  Parameters:
    `s` - The standard-string (either 'allow' or 'deny')

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.